Bug 1902611 - lammps fails to build with Python 3.10: collect2: fatal error: ld terminated with signal 9 [Killed] compilation terminated.
Summary: lammps fails to build with Python 3.10: collect2: fatal error: ld terminated ...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: lammps
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Junghans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-30 07:46 UTC by Tomáš Hrnčiar
Modified: 2021-02-11 20:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-11 20:23:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-11-30 07:46:33 UTC
lammps fails to build with Python 3.10.0a2.

/src/force.cpp: In member function 'create_factories':
/builddir/build/BUILD/lammps-patch_29Oct2020/src/force.cpp:83:13: note: variable tracking size limit exceeded with '-fvar-tracking-assignments', retrying without
   83 | void _noopt Force::create_factories()
      |             ^
collect2: fatal error: ld terminated with signal 9 [Killed]
compilation terminated.
gmake[2]: *** [CMakeFiles/lammps.dir/build.make:22139: liblammps_mpich.so.0] Error 1
gmake[2]: *** Deleting file 'liblammps_mpich.so.0'
gmake[2]: Leaving directory '/builddir/build/BUILD/lammps-patch_29Oct2020/mpich'
gmake[1]: *** [CMakeFiles/Makefile2:2230: CMakeFiles/lammps.dir/all] Error 2
gmake[1]: Leaving directory '/builddir/build/BUILD/lammps-patch_29Oct2020/mpich'
gmake: *** [Makefile:163: all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.IXfGrt (%build)

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01803634-lammps/

For all our attempts to build lammps with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/lammps/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Ben Cotton 2021-02-09 15:29:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 2 Ryan S. Elliott 2021-02-11 20:23:37 UTC
I believe this is resolved.


Note You need to log in before you can comment on or make changes to this bug.